For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flows

List category conditions.

get

Returns a paginated list of category conditions belonging to a specific assembly reference condition.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
conditionObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "fuzzyMatch": true,
      "text": "text"
    }
  ],
  "totalCount": 1
}

Create a category condition.

post

Creates a new category condition under an assembly reference condition, defining a text value (with optional fuzzy matching) to match against.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
conditionObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Body
fuzzyMatchbooleanOptional
textstring · nullableRequired
Responses
201

Created

objectIdentifierstring · uuidOptional
assemblyReferenceConditionObjectIdentifierstring · uuidOptional
fuzzyMatchbooleanOptional
textstring · nullableOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "fuzzyMatch": true,
  "text": "text"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "fuzzyMatch": true,
  "text": "text"
}

Get a category condition.

get

Retrieves a single category condition by its unique identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
conditionObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceConditionObjectIdentifierstring · uuidOptional
fuzzyMatchbooleanOptional
textstring · nullableOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "fuzzyMatch": true,
  "text": "text"
}

Update a category condition.

put

Updates the match text and fuzzy matching setting of an existing category condition.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
conditionObjectIdentifierstringRequired
Body
fuzzyMatchbooleanOptional
textstring · nullableRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceConditionObjectIdentifierstring · uuidOptional
fuzzyMatchbooleanOptional
textstring · nullableOptional
put/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier}
PUT /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "fuzzyMatch": true,
  "text": "text"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "fuzzyMatch": true,
  "text": "text"
}

Delete a category condition.

delete

Permanently deletes a category condition from its parent assembly reference condition.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
conditionObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{conditionObjectIdentifier}/category-conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List conditions for an assembly reference.

get

Retrieves a paginated list of the branching conditions configured on an assembly reference within a flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
referenceObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isYes": true,
      "fuzzyMatch": true,
      "minimumDecimalAnswer": 1,
      "maximumDecimalAnswer": 1,
      "textAnswer": "text",
      "allCategoriesMatch": true,
      "decimalAnswer": 1,
      "decimalOperator": "equal",
      "dateOperator": "equal",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "dateAnswer": "2026-01-01T00:00:00.000Z",
      "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "categoryConditions": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "fuzzyMatch": true,
          "text": "text"
        }
      ]
    }
  ],
  "totalCount": 1
}

Create an assembly reference condition.

post

Defines a new branching condition on an assembly reference within a flow, such as a yes/no, numeric range, date, text, or category match rule.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
referenceObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Body
isYesboolean · nullableOptional
fuzzyMatchbooleanOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
textAnswerstring · nullableOptional
allCategoriesMatchbooleanOptional
decimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateOperatorstring · enumOptionalPossible values:
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateAnswerstring · date-time · nullableOptional
targetPromptObjectIdentifierstring · uuidOptional
Responses
201

Created

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
isYesboolean · nullableOptional
fuzzyMatchbooleanOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
textAnswerstring · nullableOptional
allCategoriesMatchbooleanOptional
decimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateOperatorstring · enumOptionalPossible values:
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateAnswerstring · date-time · nullableOptional
targetPromptObjectIdentifierstring · uuidOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 438

{
  "isYes": true,
  "fuzzyMatch": true,
  "minimumDecimalAnswer": 1,
  "maximumDecimalAnswer": 1,
  "textAnswer": "text",
  "allCategoriesMatch": true,
  "decimalAnswer": 1,
  "decimalOperator": "equal",
  "dateOperator": "equal",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "dateAnswer": "2026-01-01T00:00:00.000Z",
  "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "categoryConditions": [
    {
      "fuzzyMatch": true,
      "text": "text"
    }
  ]
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "fuzzyMatch": true,
  "minimumDecimalAnswer": 1,
  "maximumDecimalAnswer": 1,
  "textAnswer": "text",
  "allCategoriesMatch": true,
  "decimalAnswer": 1,
  "decimalOperator": "equal",
  "dateOperator": "equal",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "dateAnswer": "2026-01-01T00:00:00.000Z",
  "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "categoryConditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "fuzzyMatch": true,
      "text": "text"
    }
  ]
}

Get an assembly reference condition.

get

Retrieves the details of a single branching condition on an assembly reference by its identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
isYesboolean · nullableOptional
fuzzyMatchbooleanOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
textAnswerstring · nullableOptional
allCategoriesMatchbooleanOptional
decimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateOperatorstring · enumOptionalPossible values:
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateAnswerstring · date-time · nullableOptional
targetPromptObjectIdentifierstring · uuidOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "fuzzyMatch": true,
  "minimumDecimalAnswer": 1,
  "maximumDecimalAnswer": 1,
  "textAnswer": "text",
  "allCategoriesMatch": true,
  "decimalAnswer": 1,
  "decimalOperator": "equal",
  "dateOperator": "equal",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "dateAnswer": "2026-01-01T00:00:00.000Z",
  "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "categoryConditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "fuzzyMatch": true,
      "text": "text"
    }
  ]
}

Update an assembly reference condition.

put

Modifies the branching rule of an existing assembly reference condition, such as its operators, expected answers, or target prompt.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Body
isYesboolean · nullableOptional
fuzzyMatchbooleanOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
textAnswerstring · nullableOptional
allCategoriesMatchbooleanOptional
decimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateOperatorstring · enumOptionalPossible values:
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateAnswerstring · date-time · nullableOptional
targetPromptObjectIdentifierstring · uuidOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
isYesboolean · nullableOptional
fuzzyMatchbooleanOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
textAnswerstring · nullableOptional
allCategoriesMatchbooleanOptional
decimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateOperatorstring · enumOptionalPossible values:
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateAnswerstring · date-time · nullableOptional
targetPromptObjectIdentifierstring · uuidOptional
put/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}
PUT /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381

{
  "isYes": true,
  "fuzzyMatch": true,
  "minimumDecimalAnswer": 1,
  "maximumDecimalAnswer": 1,
  "textAnswer": "text",
  "allCategoriesMatch": true,
  "decimalAnswer": 1,
  "decimalOperator": "equal",
  "dateOperator": "equal",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "dateAnswer": "2026-01-01T00:00:00.000Z",
  "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "fuzzyMatch": true,
  "minimumDecimalAnswer": 1,
  "maximumDecimalAnswer": 1,
  "textAnswer": "text",
  "allCategoriesMatch": true,
  "decimalAnswer": 1,
  "decimalOperator": "equal",
  "dateOperator": "equal",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "dateAnswer": "2026-01-01T00:00:00.000Z",
  "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "categoryConditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "fuzzyMatch": true,
      "text": "text"
    }
  ]
}

Delete an assembly reference condition.

delete

Permanently removes a branching condition from an assembly reference within a flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List a flow's columns.

get

Returns a paginated list of the columns defined on the specified flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "totalCount": 1
}

Add a column to a flow.

post

Creates a flow column by linking an existing prompt to the specified flow, and returns the new column's identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
promptObjectIdentifierstring · uuidOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "promptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Get a flow column by id.

get

Returns the details of a single flow column identified by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Delete a flow column.

delete

Removes the specified column from its flow. Returns no content when the deletion succeeds.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-columns/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List flows.

get

Returns a paged, sortable and filterable list of flows in the project, optionally scoped to a folder.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
parentObjectIdentifierstring · uuidOptional
pageNumberinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault: true
searchTextstringOptional
filterColumnstring · enumOptionalPossible values:
filterOperationstring · enumOptionalPossible values:
filterSearchTermstringOptional
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows
GET /projects/{projectIdentifier}/flows HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "dateAdded": "2026-01-01T00:00:00.000Z",
      "isDirectory": true,
      "isCompleted": true,
      "groupCount": 1,
      "promptCount": 1,
      "credits": 1,
      "resourceOwnerId": "text",
      "resourceOwner": {
        "name": "text",
        "id": "text",
        "email": "text",
        "picture": "text",
        "roles": [
          {
            "id": "text",
            "name": "text"
          }
        ]
      },
      "playbooks": [
        {
          "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        }
      ]
    }
  ],
  "totalCount": 1
}

Create a flow.

post

Creates a new flow in the project from one or more playbooks, with optional reference material and group assignments.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
playbookIdentifiersstring · uuid[] · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
startbooleanOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
isCompletedbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
creditsnumber · double · nullableOptional
resourceOwnerIdstring · nullableOptional
post/projects/{projectIdentifier}/flows
POST /projects/{projectIdentifier}/flows HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 697

{
  "name": "text",
  "description": "text",
  "playbookIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "groupAssignments": [
    {
      "playbookGroupIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "collections": [
        {
          "name": "text",
          "useAllDocuments": true,
          "documentObjectIdentifiers": [
            "123e4567-e89b-12d3-a456-426614174000"
          ]
        }
      ]
    }
  ],
  "flowReferenceMaterialAssignments": [
    {
      "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "booleanValue": true,
      "dateTimeValue": "2026-01-01T00:00:00.000Z",
      "decimalValue": 1,
      "textValue": "text",
      "documentObjectIdentifiers": [
        "123e4567-e89b-12d3-a456-426614174000"
      ],
      "categoryNames": [
        "text"
      ]
    }
  ],
  "start": true
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "isCompleted": true,
  "groupCount": 1,
  "promptCount": 1,
  "credits": 1,
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  },
  "playbooks": [
    {
      "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ]
}

Create a flow folder.

post

Creates a folder used to organise flows within the project, optionally nested under a parent folder.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
isCompletedbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
creditsnumber · double · nullableOptional
resourceOwnerIdstring · nullableOptional
post/projects/{projectIdentifier}/flows/directory
POST /projects/{projectIdentifier}/flows/directory HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "isCompleted": true,
  "groupCount": 1,
  "promptCount": 1,
  "credits": 1,
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  },
  "playbooks": [
    {
      "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ]
}

Get a flow.

get

Returns the full details of a single flow identified by its GUID.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
isCompletedbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
creditsnumber · double · nullableOptional
resourceOwnerIdstring · nullableOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "isCompleted": true,
  "groupCount": 1,
  "promptCount": 1,
  "credits": 1,
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  },
  "playbooks": [
    {
      "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ]
}

Update a flow.

put

Updates an existing flow's name, description or parent folder.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
isCompletedbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
creditsnumber · double · nullableOptional
resourceOwnerIdstring · nullableOptional
put/projects/{projectIdentifier}/flows/{objectIdentifier}
PUT /projects/{projectIdentifier}/flows/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "isCompleted": true,
  "groupCount": 1,
  "promptCount": 1,
  "credits": 1,
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  },
  "playbooks": [
    {
      "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ]
}

Delete a flow.

delete

Permanently deletes a flow from the project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Stop a flow.

post

Stops an in-progress flow run so no further work items are processed.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

post/projects/{projectIdentifier}/flows/{objectIdentifier}/stop
POST /projects/{projectIdentifier}/flows/{objectIdentifier}/stop HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get flow verification progress.

get

Returns how far along a flow's verification checks are, suitable for displaying progress.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

approvedCountinteger · int32Optional
rejectedCountinteger · int32Optional
awaitVerificationCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/verification-progress
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/verification-progress HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "approvedCount": 1,
  "rejectedCount": 1,
  "awaitVerificationCount": 1
}

Get flow work-item progress.

get

Returns how many of a flow's individual work items have completed during a run.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

statusstring · enumOptionalPossible values:
completedWorkItemsinteger · int32Optional
remainingWorkItemsinteger · int32Optional
failureReasonstring · nullableOptional
throttledWorkItemsinteger · int32Optional
percentagenumber · doubleRead-onlyOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/work-item-progress
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/work-item-progress HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "pending",
  "completedWorkItems": 1,
  "remainingWorkItems": 1,
  "failureReason": "text",
  "throttledWorkItems": 1,
  "percentage": 1
}

Get flow setup status.

get

Returns the flow's playbook-clone setup state, or a null body when setup has nothing outstanding.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

labelstring · nullableOptional
failedbooleanOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/setup-status
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/setup-status HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "label": "text",
  "failed": true
}

Retry flow setup.

post

Resets failed playbook-clone setup stages and re-queues the setup pipeline. Idempotent and safe to call repeatedly.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

post/projects/{projectIdentifier}/flows/{objectIdentifier}/setup/retry
POST /projects/{projectIdentifier}/flows/{objectIdentifier}/setup/retry HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Play a flow.

post

Starts a new run of the flow, queuing every unplayed prompt for processing.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

flowRunObjectIdentifierstring · uuidOptional
statusstring · enumOptionalPossible values:
post/projects/{projectIdentifier}/flows/{objectIdentifier}/play
POST /projects/{projectIdentifier}/flows/{objectIdentifier}/play HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "flowRunObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending"
}

Get latest flow run.

get

Returns the flow's most recent run with its work-item progress, or a null body when it has never been played.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
statusstring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
startedstring · date-time · nullableOptional
completedstring · date-time · nullableOptional
totalWorkItemsinteger · int32Optional
completedWorkItemsinteger · int32Optional
failureReasonstring · nullableOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/runs/latest
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/runs/latest HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "started": "2026-01-01T00:00:00.000Z",
  "completed": "2026-01-01T00:00:00.000Z",
  "totalWorkItems": 1,
  "completedWorkItems": 1,
  "failureReason": "text"
}

Get a flow run.

get

Returns a specific run of a flow with its work-item progress, identified by the run's GUID.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
runObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
statusstring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
startedstring · date-time · nullableOptional
completedstring · date-time · nullableOptional
totalWorkItemsinteger · int32Optional
completedWorkItemsinteger · int32Optional
failureReasonstring · nullableOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/runs/{runObjectIdentifier}
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/runs/{runObjectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "started": "2026-01-01T00:00:00.000Z",
  "completed": "2026-01-01T00:00:00.000Z",
  "totalWorkItems": 1,
  "completedWorkItems": 1,
  "failureReason": "text"
}

Check if a flow can be played.

get

Returns whether the flow can currently be played, suitable for enabling or disabling a play control.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

booleanOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/runs/can-play
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/runs/can-play HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
true

Get flow stop info.

get

Returns whether the flow has been stopped and, when known, the time it was stopped.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

stoppedbooleanOptional
stoppedAtstring · date-time · nullableOptional
get/projects/{projectIdentifier}/flows/{objectIdentifier}/stop-info
GET /projects/{projectIdentifier}/flows/{objectIdentifier}/stop-info HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "stopped": true,
  "stoppedAt": "2026-01-01T00:00:00.000Z"
}

Export a flow.

post

Exports a flow into a downloadable package, optionally including its documents, and returns the download identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
exportDocumentsbooleanOptional
citationEnginestring · enumOptionalPossible values:
flowGroupObjectIdentifierstring · uuid · nullableOptional
orderedPromptIdentifiersstring · uuid[] · nullableOptional
logicOperatorstring · enumOptionalPossible values:
sortBystring · nullableOptional
sortAscendingboolean · nullableOptional
searchTextstring · nullableOptional
assignedToResourceOwnerIdsstring[] · nullableOptional
reviewedByResourceOwnerIdsstring[] · nullableOptional
Responses
200

OK

downloadObjectIdentifierstring · uuidOptional
post/projects/{projectIdentifier}/flows/{objectIdentifier}/export
POST /projects/{projectIdentifier}/flows/{objectIdentifier}/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 583

{
  "exportDocuments": true,
  "citationEngine": "never",
  "flowGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "orderedPromptIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "filters": [
    {
      "promptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "operator": "is",
      "value": "text",
      "values": [
        "text"
      ]
    }
  ],
  "tagFilters": [
    {
      "key": "text",
      "values": [
        "text"
      ]
    }
  ],
  "folderFilters": [
    {
      "operator": "is",
      "value": "text",
      "values": [
        "text"
      ]
    }
  ],
  "logicOperator": "and",
  "sortBy": "text",
  "sortAscending": true,
  "searchText": "text",
  "assignedToResourceOwnerIds": [
    "text"
  ],
  "reviewedByResourceOwnerIds": [
    "text"
  ]
}
{
  "downloadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Export a flow to a playbook.

post

Queues an asynchronous export of the flow into a marketplace playbook and returns the export and pre-allocated playbook identifiers.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
isPrivatebooleanOptional
organizationWidebooleanOptional
Responses
200

OK

playbookObjectIdentifierstring · uuidOptional
post/projects/{projectIdentifier}/flows/{objectIdentifier}/export-to-playbook
POST /projects/{projectIdentifier}/flows/{objectIdentifier}/export-to-playbook HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "name": "text",
  "description": "text",
  "isPrivate": true,
  "organizationWide": true
}
{
  "playbookObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

List a flow's groups.

get

Returns a paginated list of the groups (tabs) within a flow, optionally including item counts.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
includeCountsbooleanOptionalDefault: false
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "type": "singleDocumentCollection",
      "dateAdded": "2026-01-01T00:00:00.000Z",
      "promptCount": 1,
      "flowDocumentCollectionCount": 1,
      "orderNumber": 1
    }
  ],
  "totalCount": 1
}

Create a flow group.

post

Creates a new named, typed flow group (tab) within the specified flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "name": "text",
  "description": "text",
  "type": "singleDocumentCollection"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Update a flow group.

put

Updates a flow group's name, description and optionally its type. Invalid type changes return 400.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Body
namestring · nullableOptional
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
put/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{objectIdentifier}
PUT /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "name": "text",
  "description": "text",
  "type": "singleDocumentCollection"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Delete a flow group.

delete

Permanently deletes a flow group. Returns 409 if a flow run is currently in progress.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get a flow group.

get

Returns the full details of a single flow group identified by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
groupObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{groupObjectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/{groupObjectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Reorder a flow's groups.

patch

Persists a new left-to-right display order for the flow's groups (tabs). Backs the drag-and-drop tab strip.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
orderedGroupObjectIdentifiersstring · uuid[] · nullableOptional
Responses
204

No Content

No content

patch/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/reorder
PATCH /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-groups/reorder HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "orderedGroupObjectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}

No content

List playbooks applied to a flow.

get

Returns a paginated list of the playbooks that have been applied to the specified flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-playbooks
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-playbooks HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "resourceOwnerId": "text",
      "resourceOwner": {
        "name": "text",
        "id": "text",
        "email": "text",
        "picture": "text",
        "roles": [
          {
            "id": "text",
            "name": "text"
          }
        ]
      }
    }
  ],
  "totalCount": 1
}

Apply a playbook to a flow.

post

Clones a playbook's prompts into the specified flow and returns the created flow playbook.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
playbookIdentifierstring · uuidOptional
targetFlowGroupObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
playbookIdentifierstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
resourceOwnerIdstring · nullableOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-playbooks
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-playbooks HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 443

{
  "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "targetFlowGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "flowReferenceMaterialAssignments": [
    {
      "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "booleanValue": true,
      "dateTimeValue": "2026-01-01T00:00:00.000Z",
      "decimalValue": 1,
      "textValue": "text",
      "documentObjectIdentifiers": [
        "123e4567-e89b-12d3-a456-426614174000"
      ],
      "categoryNames": [
        "text"
      ]
    }
  ]
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "playbookIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

List a flow's reference materials.

get

Returns all reference materials defined for the specified flow.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "type": "boolean",
    "booleanValue": true,
    "dateTimeValue": "2026-01-01T00:00:00.000Z",
    "decimalValue": 1,
    "textValue": "text",
    "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "tokenCount": 1,
    "isLocked": true,
    "isRequired": true,
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "categories": [
      {
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    ],
    "resourceOwnerId": "text",
    "resourceOwner": {
      "name": "text",
      "id": "text",
      "email": "text",
      "picture": "text",
      "roles": [
        {
          "id": "text",
          "name": "text"
        }
      ]
    }
  }
]

Create a flow reference material.

post

Creates a new reference material for the specified flow and returns the created record.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumRequiredPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
isLockedbooleanOptional
isRequiredbooleanOptional
Responses
201

Created

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217

{
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "isLocked": true,
  "isRequired": true,
  "categories": [
    {
      "name": "text"
    }
  ]
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "tokenCount": 1,
  "isLocked": true,
  "isRequired": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "categories": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Get a flow reference material.

get

Returns a single reference material identified by its GUID.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "tokenCount": 1,
  "isLocked": true,
  "isRequired": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "categories": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Update a flow reference material.

put

Updates the specified reference material and returns the updated record.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
isLockedbooleanOptional
isRequiredbooleanOptional
Responses
200

OK

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
put/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}
PUT /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169

{
  "name": "text",
  "description": "text",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "isLocked": true,
  "isRequired": true
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "tokenCount": 1,
  "isLocked": true,
  "isRequired": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "categories": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Delete a flow reference material.

delete

Deletes the specified reference material. Returns 409 Conflict if it is still in use by prompts or assemblies.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Add a category to a flow reference material.

post

Appends one named category to a categories reference material and returns the updated record.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Body
namestring · nullableRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}/categories
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}/categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "tokenCount": 1,
  "isLocked": true,
  "isRequired": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "categories": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Remove a category from a flow reference material.

delete

Removes one named category from a categories reference material and returns the updated record.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
categoryObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
stableObjectIdentifierstring · uuidOptional
namestring · nullableRequired
descriptionstring · nullableOptional
typestring · enumOptionalPossible values:
booleanValueboolean · nullableOptional
dateTimeValuestring · date-time · nullableOptional
decimalValuenumber · double · nullableOptional
textValuestring · nullableOptional
playbookReferenceMaterialIdentifierstring · uuid · nullableOptional
tokenCountinteger · int32Optional
isLockedbooleanOptional
isRequiredbooleanOptional
dateAddedstring · date-timeOptional
resourceOwnerIdstring · nullableOptional
delete/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}/categories/{categoryObjectIdentifier}
DELETE /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/reference-materials/{objectIdentifier}/categories/{categoryObjectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "type": "boolean",
  "booleanValue": true,
  "dateTimeValue": "2026-01-01T00:00:00.000Z",
  "decimalValue": 1,
  "textValue": "text",
  "playbookReferenceMaterialIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "tokenCount": 1,
  "isLocked": true,
  "isRequired": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "categories": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "resourceOwnerId": "text",
  "resourceOwner": {
    "name": "text",
    "id": "text",
    "email": "text",
    "picture": "text",
    "roles": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Last updated